API reference
All operations
COMPANY

Creates, updates or deletes a company

Requires authentication using either a JWT or API key. The specific operation (create, update, or delete) is determined by the contents of the request object. Returns appropriate HTTP status codes for success, validation errors, not found, or server errors.

POST/api/v2/external/companies

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Request body

application/jsonrequired

An object containing the external company data and the operation to perform. Cannot be null.

UpdateCompanyExternalIdRequest
  • externalIdstring
  • modifySourcestringnullable
  • externalProviderstringnullable
  • branchCodestringnullable
  • prospectSourcestringnullable
  • recordTypestringnullable
  • deletedbooleannullable
  • categoriesstring[]nullable
  • companyNamestringnullable
  • legalNamestringnullable
  • accountNostringnullable
  • address1stringnullable
  • address2stringnullable
  • address3stringnullable
  • citystringnullable
  • statestringnullable
  • zipstringnullable
  • countystringnullable
  • countrystringnullable
  • mailingbooleannullable
  • latitudenumber · doublenullable
  • longitudenumber · doublenullable
  • phonestringnullable
  • faxstringnullable
  • webstringnullable
  • statusstringnullable
  • addRecordIfMatchNotFoundbooleannullable

Responses

OK

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataCompanyDto
  • companyIdinteger · int32
  • parentIdinteger · int32
  • recordTypeIdinteger · int32
  • branchIdinteger · int32
  • companyNamestring
  • legalNamestring
  • accountNostring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • mailingbooleannullable
  • latitudenumber · double
  • longitudenumber · double
  • phonestring
  • faxstring
  • webstring
  • linkedboolean
  • sourceIdinteger · int32
  • statusstring
  • enteredstring · date-time
  • lastModifiedstring · date-time
  • completeboolean
  • parentNamestring
  • parentAccountNostring
  • assignedRecordTypestring
  • assignedBranchstring
  • assignedNationalAccountsstring
  • assignedNationalAccountIdsstring
  • assignedSourcestring
  • buyIDstring